Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 716402

Summary: Review Request: ckermit - The quintessential all-purpose communications program
Product: [Fedora] Fedora Reporter: Eric Smith <spacewar>
Component: Package ReviewAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, gwync, notting
Target Milestone: ---Flags: gwync: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ckermit-9.0.302-7.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-08 18:04:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Smith 2011-06-24 10:30:41 UTC
Spec URL: http://fedorapeople.org/~brouhaha/kermit/ckermit.spec
SRPM URL: http://fedorapeople.org/~brouhaha/kermit/ckermit-9.0-0.1.beta2.fc14.src.rpm
Description:
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, cross-platform
approach to connection establishment, terminal sessions, file transfer
and management, character-set translation, and automation of
communication tasks.

[CKermit was removed from Fedora around around the Fedora 7 timeframe due to its license being non-Free. Starting with 9.0 beta 1, CKermit is under a BSD license, so it should once again be suitable for inclusion in Fedora. This spec is based on the old Fedora spec 8.0.211-5, updated to upstream 9.0 beta 2, and with other minor changes for better compliance with the current packaging guidelines.]

Comment 1 Gwyn Ciesla 2011-06-27 17:55:44 UTC
Working on formal review. . .

Comment 2 Gwyn Ciesla 2011-06-27 18:04:31 UTC
ckermit.src: W: file-size-mismatch x.tar.gz = 2413399, http://www.columbia.edu/kermit/ftp/test/tar/x.tar.gz = 2413309
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.


Good:

- rpmlint checks return:

ckermit.src: W: file-size-mismatch x.tar.gz = 2413399, http://www.columbia.edu/kermit/ftp/test/tar/x.tar.gz = 2413309
The size of the file in the package does not match the size indicated by
peeking at its URL.  Verify that the file in the package has the intended
contents.

Explained by comments.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream: No, but see above.
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Running mock build to rest BRs, but otherwise it looks great.

Comment 3 Gwyn Ciesla 2011-06-27 18:25:49 UTC
BRs are good.  APPROVED.  Welcome back!

Comment 4 Eric Smith 2011-06-27 20:18:33 UTC
New Package SCM Request
=======================
Package Name: ckermit
Short Description: The quintessential all-purpose communications program
Owners: brouhaha
Branches: f14 f15 el6
InitialCC:

Comment 5 Gwyn Ciesla 2011-06-27 20:32:24 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-06-28 01:27:35 UTC
ckermit-9.0-0.1.beta2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ckermit-9.0-0.1.beta2.fc15

Comment 7 Fedora Update System 2011-06-28 01:33:51 UTC
ckermit-9.0-0.1.beta2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ckermit-9.0-0.1.beta2.fc14

Comment 8 Fedora Update System 2011-06-28 01:34:52 UTC
ckermit-9.0-0.1.beta2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ckermit-9.0-0.1.beta2.el6

Comment 9 Fedora Update System 2011-06-28 15:46:40 UTC
ckermit-9.0-0.1.beta2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2011-07-08 18:04:33 UTC
ckermit-9.0-0.1.beta2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-07-08 18:06:38 UTC
ckermit-9.0-0.1.beta2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-07-11 23:49:17 UTC
ckermit-9.0.301-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ckermit-9.0.301-1.el6

Comment 13 Fedora Update System 2011-07-30 10:38:34 UTC
ckermit-9.0.301-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-08-30 05:25:57 UTC
ckermit-9.0.302-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ckermit-9.0.302-7.el7

Comment 15 Fedora Update System 2014-09-24 03:47:56 UTC
ckermit-9.0.302-7.el7 has been pushed to the Fedora EPEL 7 stable repository.